function [tn,un,yn,tx,yx] = mws_rozstrihaj(t,u,y,yf,ktore,mindatu)

% Autor:    Bc. Pavel Doval
% Skolitel: Ing. Lubos Cirka, PhD.
%
% Dakujem Ing. Lubosovi Cirkovi za pochopenie a nezvycajne velku trpezlivost
% pri zodpovedani mojich otazok, vsetku pomoc, ktoru mi poskytol a celkove
% vedenie pri praci na tomto projekte

i=find(diff(u)~=0);
helpfori=length(i);
i(helpfori+1)=length(u);
hodnota=length(i)-1;
delta_u=zeros(1,hodnota);
tn = []; un = []; yn = []; yfn = [];
tx = []; ux = []; yx = []; sdux = 0;
%h = waitbar(0,'Cakajte, spracuvaju sa udaje ...');

for k=1:hodnota

    for kk = 1:length(ktore)
        kkk = ktore(kk);
        if (kkk == k)
            
            %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
            %
            %t
            %
            if (size(tn)==[0 0])
                pomocna = t(i(k):i(k+1)) - t(i(k));
                for ix = 1:mindatu
                    tx(ix) = pomocna(ix);
                end
            else
                pomocna = t(i(k):i(k+1)) + tn(end) -t(i(k));
            end
            tn = [tn; pomocna];
            
            %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
            %
            %u
            %            
            if (size(un) == [0 0])
                pomocna = u(i(k):i(k+1));
            else
                pomocna = u(i(k):i(k+1)) + un(end) - u(i(k));
            end
            un = [un; pomocna];
            dux = pomocna(end)-pomocna(1); sdux = sdux + dux^2;
            
            %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
            %
            %yf
            %            
            pomocna = (yf(i(k):i(k+1)) - y(i(k)))';
            for ix = 1:mindatu
                hlp(ix) = dux*pomocna(ix);
            end
            yx(kk,:) = hlp;
            
            %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
            %
            %y
            %            
            if (size(yn) == [0 0])
                pomocna = y(i(k):i(k+1));
            else
                pomocna = y(i(k):i(k+1)) + yn(end) - y(i(k));
            end
            yn = [yn; pomocna];
            
            %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
            %
            %waitbar
            %
            %waitbar((kk-1)./(length(ktore)-1),h);
        end
    end
end

yx = sum(yx)/sdux;
%close(h)