<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
			"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="sk" lang="sk">
<head>
	<title>Identifikacia udajov</title>
	<meta http-equiv="content-type" content="text/html charset=windows-1250" />
	<meta name="author" content="Bc. Pavel Dov" />
	<meta name="robots" content="index,follow" />
	<meta name="keywords" content="experimentlna identifikcia" />
	<link rel="stylesheet" type="text/css" href="../vyzor.css" />
</head>

<body>

<div id="obsah">

	<h2>Systm n-tho rdu</h2>
	<h3>Strejcova metda</h3>
	<p>
	Predpokladajme prenos n-tho rdu v tvare
	</p>
	<p class="eq">
	F(s) = K / (Ts+1)<sup>n</sup> * e<sup>-Ds</sup>
	</p>
	<p>
	kde K je zosilnenie, T asov kontanta, n rd systmu a D je dopravn oneskorenie systmu.
	<br />
	Tu a Tn sa uruj pomocou dotynice v inflexnom bode a priesenkom tohto bodu s y-om v 
	ase nekoneno, respektve 0 (obr. 4). Hodnotu K mono zisti podobne ako pri 
	<a class="text" href="system_1rad.html#K">systme 1.rdu</a>, teda 
	<p class="eq">
	K = (y(inf) - y(0))/(u(inf) - u(0))
	</p>
	<p>
	Zo znmych asov nbehu a prieahu mono uri f(s)
	<p>
	<p class="eq">
	fs = Tu / Tn
	</p>
	<p>
	Pomocou nasledovnej tabuky sa uruje n, f(n) a g(n).
	</p>
	<table border="1" class="sbtable">
	<tr><th>n</th><td>1</td><td>2</td><td>3</td><td>4</td><td>5</td><td>6</td></tr>
	<tr><th>f(n)</th><td>0.000</td><td>0.104</td><td>0.218</td><td>0.319</td><td>0.410</td><td>0.493</td></tr>
	<tr><th>g(n)</th><td>1.000</td><td>0.368</td><td>0.271</td><td>0.224</td><td>0.195</td><td>0.161</td></tr>
	</table>
	<p class="eq">
	D = [ fs-f(n) ].Tn<br />
	T = Tn.g(n)
	</p>
	<p>
	<img src="teoriasbrad.png" alt="PNG pre systm identifikovaten Strejcovou metdou" />
	</p>
	<p>
	Obr.1: Prechodov charakteristika systmu identifikovatenho Strejcovou metdou
	</p>
	<h3>Literatra</h3>	 	
	<p>
	M. Fikar, J. Mikle: Identifikcia systmov, Vydavatestvo STU v Bratislave, 1999
	</p>

</div>

</body>
</html>