<?php

	//identifikacie sys 1 rad

	function sys1rad ($cas_1, $vystup_1, $K)
	{
	$y1 = 0.2*$K;
	$y2 = 0.8*$K;
	$i = 0;
	//echo $y1.", ".$y2."<br />";
	for($i = 0; $i<=count($vystup_1)-1; $i++)
	{
		if ($vystup_1[$i] <= $y1)
		{
			$bod_y1 = $vystup_1[$i];
			$bod_t1 = $cas_1[$i];
		}
		if ($vystup_1[$i] <= $y2)
		{
			$bod_y2 = $vystup_1[$i];
			$bod_t2 = $cas_1[$i];
		}
	}
	
	$T = ($bod_t2 - $bod_t1) / log( ($K - $bod_y1)/($K - $bod_y2) );
	$x = ( log( ($K - $bod_y1)/$K ) / log(( $K - $bod_y2)/$K ) );
	$D = ( $bod_t2 * $x - $bod_t1 ) / ( $x - 1 );

	return array($K, $T, $D);
	}


	//identifikacie aper sys 2 rad

	function apersys2rad ($cas_1, $vystup_1, $K)
	{
	$por_diff = 0;
	for ($i = 0; $i<=count($vystup_1)-1; $i++)
	{
		$diff_y[$i] = - $vystup_1[$i] + $vystup_1[$i+1];
		if ($diff_y[$i] > $por_diff)
		{
			$por_diff = $diff_y[$i];
			$index_diff = $i;
		}
	}
	
	$bod_y1 = $vystup_1[$index_diff];
	$bod_t1 = $cas_1[$index_diff];
	$bod_y2 = $vystup_1[$index_diff-1];
	$bod_t2 = $cas_1[$index_diff-1];

	$a = ($bod_y2 - $bod_y1) / ($bod_t2 - $bod_t1);
	$b = $bod_y2 - $a*$bod_t2;
	$Tu = ( 0 - $b ) / $a;
	$Tn = ( $K - $b ) / $a - $Tu;
	$f1kv = $Tn / $Tu;

	$lol = 0;
	for($i=1.01; $i<=30; $i+=0.01)
	{
		$k[$lol]=$i;
		$f1k[$lol]=1/( pow($i,-$i/($i-1)) * ( 1+$i+( $i/($i-1)*log($i) ) ) -1);
		$f2k[$lol++]=pow($i, $i/($i-1));
		//echo $k[$lol-1]." = ".$f1k[$lol-1]." = ".$f2k[$lol-1]."<br>";
	}
	if($f1kv < $f1k[1] && $_POST['method'] != "porovnanie")
		echo "<pre>\nIdentifikácia touto metódou nie je korektná.\nSkontrolujte prosím riešenie Strejcovou alebo Broidovou metódou identifikácie.\n</pre>\n<br />\n";
	if($f1kv < $f1k[1] && $_POST['method'] == "porovnanie")
		echo "<pre>Identifikácia touto metódou nie je korektná.\n</pre>\n";
	$length_f1k = count($f1k) - 1;
	for ($i = 0; $i <= $length_f1k; $i++)
	{
		if ($f1kv > $f1k[$i])
		{
			$index_f1k = $i;
		}
	}
	if (count($index_f1k)==0)
		$index_f1k = 0;
	//echo "<br />vypocitane.f1kv = ".$f1kv.", indexove.f1k = ".$f1k[$index_f1k]."<br />";
	$f1k_x = $f1k[$index_f1k];
	$f2k_x = $f2k[$index_f1k];
	$k_x = $k[$index_f1k];

	$T1 = $Tn / $f2k_x;
	$T2 = $k_x * $T1;

	return array($K, $T1, $T2);
	}



	// knitavy system 2 radu

	function kmitsys2rad ($cas_1, $vystup_1)
	{
	$bod_y1 = max($vystup_1);
	$index_max = count($vystup_1);
	for ($i = 0; $i<=count($vystup_1)-1; $i++)
	{
		if ($vystup_1[$i] == $bod_y1)
			$index_max = $i;
		if ($i > $index_max)
			$vystup_2[$i] = $vystup_1[$i];
	}
	$bod_t1 = $cas_1[$index_max];
	$bod_y2 = min($vystup_2);
	for ($i = 0; $i<=count($vystup_1)-1; $i++)
	{
		if ($vystup_1[$i] == $bod_y2)
			$index_min = $i;
	}
	$bod_t2 = $cas_1[$index_min];
	unset($vystup_2);
	//echo $bod_y1." .. ".$bod_t1."s .. [".$index_max."]<br />";
	//echo $bod_y2." .. ".$bod_t2."s .. [".$index_min."]<br />";

	$M = ( $bod_y1 - $bod_y2 ) / $bod_y1;
	$ksi = abs( log( $M ) / sqrt( 3.14*3.14 + pow(log( $M ),2) ) );
	$P = sqrt( 1 - pow($ksi,2) );
	$omega = 3.14 / ( ( $bod_t2 - $bod_t1 ) * $P );
	$T = 1 / $omega;
	$K = $bod_y1 / ( 1 + $M );

	return array($K, $T, $ksi, $P);
	}



	// strejcova metoda

	function strejcsys ($cas_1, $vystup_1, $K)
	{
	
	for ($i = 0; $i<=count($vystup_1)-1; $i++)
		if ($vystup_1[$i] == 0)
			$index = $i;
	$ref = round(0.9*$index);
	$D0 = $cas_1[$ref];
	
	$index = 0;
	for ($i = 0; $i<=count($vystup_1)-1; $i++)
	{
		if ($i >= $ref)
		{
			$cas[$index] = $cas_1[$i] - $cas_1[$ref];
			$vystup[$index++] = $vystup_1[$i];
		}
	}

	$cas_1 = $cas;
	$vystup_1 = $vystup;

	$por_diff = 0;
	for ($i = 0; $i<=count($vystup_1)-1; $i++)
	{
		$diff_y[$i] = - $vystup_1[$i] + $vystup_1[$i+1];
		if ($diff_y[$i] > $por_diff)
		{
			$por_diff = $diff_y[$i];
			$index_diff = $i;
		}
	}
	
	$bod_y1 = $vystup_1[$index_diff];
	$bod_t1 = $cas_1[$index_diff];
	$bod_y2 = $vystup_1[$index_diff-1];
	$bod_t2 = $cas_1[$index_diff-1];

	$a = ($bod_y2 - $bod_y1) / ($bod_t2 - $bod_t1);
	$b = $bod_y2 - $a*$bod_t2;
	$Tu = ( 0 - $b ) / $a;
	$Tn = ( $K - $b ) / $a - $Tu;

	$nn = array(1, 2, 3, 4, 5, 6);
	$fn = array(0.000, 0.104, 0.218, 0.319, 0.410, 0.493);
	$gn = array(1.000, 0.368, 0.271, 0.224, 0.195, 0.161);
	
	$f = $Tu / $Tn;

	for($i = 0; $i <= 5; $i++)
		if($fn[$i]<=$f)
			$index_fn = $i;
	//echo "f = ".$f.", fn = ".$fn[$index_fn]."<br />";

	$n = $nn[$index_fn];
	$D = ( $f - $fn[$index_fn] ) * $Tn + $D0;
	$T = $Tn * $gn[$index_fn];

	return array($K, $n, $T, $D);
	}


	// broidova metoda

	function broidsys ($cas_1, $vystup_1, $K)
	{
	
	for ($i = 0; $i<=count($vystup_1)-1; $i++)
		if ($vystup_1[$i] == 0)
			$index = $i;
	$ref = round(0.9*$index);
	$D0 = $cas_1[$ref];
	
	$index = 0;
	for ($i = 0; $i<=count($vystup_1)-1; $i++)
	{
		if ($i >= $ref)
		{
			$cas[$index] = $cas_1[$i] - $cas_1[$ref];
			$vystup[$index++] = $vystup_1[$i];
		}
	}

	$cas_1 = $cas;
	$vystup_1 = $vystup;

	$por_diff = 0;
	for ($i = 0; $i<=count($vystup_1)-1; $i++)
	{
		$diff_y[$i] = - $vystup_1[$i] + $vystup_1[$i+1];
		if ($diff_y[$i] > $por_diff)
		{
			$por_diff = $diff_y[$i];
			$index_diff = $i;
		}
	}
	
	$bod_y1 = $vystup_1[$index_diff];
	$bod_t1 = $cas_1[$index_diff];
	$bod_y2 = $vystup_1[$index_diff-1];
	$bod_t2 = $cas_1[$index_diff-1];

	$a = ($bod_y2 - $bod_y1) / ($bod_t2 - $bod_t1);
	$b = $bod_y2 - $a*$bod_t2;
	$Tu = ( 0 - $b ) / $a;
	$Tn = ( $K - $b ) / $a - $Tu;

	$nn = array(1, 2, 3, 4, 5, 6);
	$fn = array(0.000, 0.096, 0.192, 0.268, 0.331, 0.385);
	$gn = array(1.000, 0.500, 0.440, 0.420, 0.410, 0.400);
	
	$f = $Tu / $Tn;

	for($i = 0; $i <= 5; $i++)
		if($fn[$i]<=$f)
			$index_fn = $i;
	//echo "f = ".$f.", fn = ".$fn[$index_fn]."<br />";

	$n = $nn[$index_fn];
	$D = ( $f - $fn[$index_fn] ) * $Tn + $D0;
	$T = $Tn * $gn[$index_fn];

	return array($K, $n, $T, $D);
	}
?>