<?php
session_start();

/*
POZNAMKA:
x, y ---> toto su povodne udaje
x, yn ---> toto su udaje z identifikovanej prechodovej charakteristiky
*/

$x = $_SESSION['x'];
$y = $_SESSION['y'];
$yn = $_SESSION['yn'];

// Nastavenie rozmerov
$sirka = 600;
$vyska = 400;
$odstup_od_okraja = 30;
$odstup_od_spodu = 30;

// Nakreslí obrázok
$im = imagecreate ($sirka,$vyska);

// Nastavenie farby
$seda = imagecolorallocate ($im,0xcc,0xcc,0xcc);
$bledo_seda = imagecolorallocate ($im,0xee,0xee,0xee);
$tmavo_seda = imagecolorallocate ($im,0x7f,0x7f,0x7f);
$biela = imagecolorallocate ($im,0xff,0xff,0xff);
$cervena = imagecolorallocate ($im, 255, 0, 0);
$cierna = imagecolorallocate ($im, 0, 0, 0);

// Vyplní pozadie obrázku 
imagefilledrectangle($im,0,0,$sirka,$vyska,$bledo_seda);

// Nakreslí osy X a Y
imageline ($im, $odstup_od_okraja, $odstup_od_spodu, 
           $odstup_od_okraja, $vyska-$odstup_od_spodu, $tmavo_seda);
imageline ($im, $odstup_od_okraja, $vyska-$odstup_od_spodu, 
           $sirka-$odstup_od_okraja, $vyska-$odstup_od_spodu, $tmavo_seda);

//nastavenie dielikovania pre x aj y
$dielik_y = 22;
$dielik_x = 40;

//napisanie nuly
$cislo = 0;
imagestring($im, 2, $odstup_od_okraja - 15, $vyska - $odstup_od_okraja + 4, $cislo, $tmavo_seda);

//riadky pre os y
$pocet_dielikov = 15;
$hodnota = max($y)/$pocet_dielikov;
$koeficient_y = $dielik_y/$hodnota;
for ($i=1; $i<=$pocet_dielikov; $i++)
{
	imageline($im, $odstup_od_okraja - 3, $vyska - $odstup_od_spodu - $i*$dielik_y,$sirka-$odstup_od_okraja, $vyska - $odstup_od_spodu - $i*$dielik_y, $biela);
	imagestring($im, 2, 5, $vyska - $odstup_od_spodu - $i*$dielik_y - 7, round(10*$i*$hodnota)/10, $tmavo_seda);
}

//riadky pre os x
$pocet_dielikov = 13;
$hodnota = max($x)/$pocet_dielikov;
$koeficient_x = $dielik_x/$hodnota;
for ($i=1; $i<=$pocet_dielikov; $i++)
{
	imageline ($im, $odstup_od_okraja + $i*$dielik_x, $odstup_od_spodu, $odstup_od_okraja + $i*$dielik_x, $vyska - $odstup_od_spodu + 3, $biela);
	imagestring($im, 2, $odstup_od_okraja + $i*$dielik_x - 10, $vyska - $odstup_od_spodu + 5, round(10*$i*$hodnota)/10, $tmavo_seda);
}

//vpisanie udajov jedna ...
for ($i=0; $i<=count($x)-2; $i++)
{
	imageline($im, $odstup_od_okraja+$x[$i]*$koeficient_x, $vyska - $odstup_od_spodu - $y[$i]*$koeficient_y, $odstup_od_okraja+$x[$i+1]*$koeficient_x, $vyska - $odstup_od_spodu - $y[$i+1]*$koeficient_y, $cervena);
}
//vpisanie udajov dva ...
for ($i=0; $i<=count($x)-2; $i++)
{
	imageline($im, $odstup_od_okraja+$x[$i]*$koeficient_x, $vyska - $odstup_od_spodu - $yn[$i]*$koeficient_y, $odstup_od_okraja+$x[$i+1]*$koeficient_x, $vyska - $odstup_od_spodu - $yn[$i+1]*$koeficient_y, $cierna);
}

//legend
imageline($im, 300, 346, 325, 346, $cervena);
imagestring($im, 2, 330, 340, "Normalizovana  prechodova charakteristika", $tmavo_seda);
imageline($im, 300, 359, 325, 359, $cierna);
imagestring($im, 2, 330, 353, "Identifikovana prechodova charakteristika", $tmavo_seda);

// Nastavenie hlavičky
header ("Content-type: image/png");
imagepng($im);

unset($_SESSION['x']);
unset($_SESSION['y']);
unset($_SESSION['yn']);
if ($_SESSION['cas'])
{
	unset($_SESSION['cas']);
	unset($_SESSION['vstup']);
	unset($_SESSION['vystup']);
	unset($_SESSION['index']);
	unset($_SESSION['diff_u']);
	unset($_SESSION['method']);
	unset($_SESSION['maxhod']);
	unset($_SESSION['meno_suboru']);
}
//session_destroy();
?>