function [K,T,D,n,Menovatel,error_define]=expid_broidident(t,u,y,nula,error_define)

% Autor:    Bc. Pavel Doval
% Skolitel: Ing. Lubos Cirka, PhD.
%
% Dakujem Ing. Lubosovi Cirkovi za pochopenie a nezvycajne velku trpezlivost
% pri zodpovedani mojich otazok, vsetku pomoc, ktoru mi poskytol a celkove
% vedenie pri praci na tomto projekte

u_final = u(end);
u_start = u(1);

if u_start == u_final
   u_start = 0;
end

y = (y - y(1))./(u_final-u_start);

porovnanie = 0;
if y(1) >= y(end)
    y = -y;
    porovnanie = 1;
end

K = ( y(end) - y(1) );
D0 = nula; index = find(t <= D0); 
if size(index) == [0 1]
    error_define = '12';
end
DO = t(index(end));
tp = t(index(end):length(t))-D0;
yp = y(index(end):length(t));

y_final = max(yp);
y_start = min(yp);

delmat = diff(yp)./diff(tp);
index = find(max(delmat)==delmat);
if length(index)>1
    index = index(1);
end

bod_t1 = tp(index+1);
bod_y1 = yp(index+1);
bod_t2 = tp(index);
bod_y2 = yp(index);

a = (bod_y2 - bod_y1) / (bod_t2 - bod_t1);
b = bod_y2 - a*bod_t2;
Tu = ( y_start - b ) / a;
Tn = ( y_final - b ) / a - Tu;

n = [6 5 4 3 2 1]';
fn = [0.385 0.331 0.268 0.192 0.096 0.000]';
gn = [0.400 0.410 0.420 0.440 0.500 1.000]';

f = Tu / Tn;
K = ( y_final - y_start );
index_f = find(fn<f);
if size(index_f) == [0 1]
    error_define = '12';
end
fn = fn(index_f(1));
gn = gn(index_f(1));
n = n(index_f(1));
D = ( f - fn ) * Tn + D0;
T = Tn * gn;

a = [T 1];
b = [T/2 1];
c = [T/3 1];
d = [T/4 1];
e = [T/5 1];
f = [T/6 1];

g = conv(a,b);
h = conv(g,c);
k = conv(h,d);
l = conv(k,e);
m = conv(l,f);

if n==1
    Menovatel = a;
elseif n==2
    Menovatel = g;
elseif n==3
    Menovatel = h;
elseif n==4
    Menovatel = k;
elseif n==5
    Menovatel = l;
else
    Menovatel = m;
end;

if porovnanie == 1
    K = -K;
    y = -y;
end