function [K,T,ksi,Menovatel]=mws_dvakmident(t,u,y)

% Autor:    Bc. Pavel Doval
% Skolitel: Ing. Lubos Cirka, PhD.
%
% Dakujem Ing. Lubosovi Cirkovi za pochopenie a nezvycajne velku trpezlivost
% pri zodpovedani mojich otazok, vsetku pomoc, ktoru mi poskytol a celkove
% vedenie pri praci na tomto projekte

u_final = u(end);
u_start = u(1);

if u_start == u_final
   u_start = 0;
end

y = (y - y(1))./(u_final-u_start);

porovnanie = 0;
if y(1) >= y(end)
    y = -y;
    porovnanie = 1;
end

d1y = diff(y);
index = find(d1y<0);
t1 = t(index(1));
y1 = y(index(1));

ysm = y((index+4):max(index));
tsm = t((index+4):max(index));
d1ysm = diff(ysm);
index = find(d1ysm>0);
y2 = ysm(index(1));
t2 = tsm(index(1));

M = ( y1 - y2 ) / y1;
ksi = abs( log( M ) / sqrt( 3.14^2 + ( log( M ) )^2 ) );
P = sqrt( 1 - ksi^2 );
omega = pi / ( ( t2 - t1 ) * P );
T = 1 / omega;
K = y1 / ( 1 + M );
D = 0;

a = T^2;
b = 2 * T * ksi;
Menovatel = [a b 1];

if porovnanie == 1
    K = -K;
    y = -y;
end